TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.list({
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListConnectionProfileRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
mgmt.ConnectionProfiles.List(
context.TODO(),
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "connection-profiles" --query "from=from" --query "take=1"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ConnectionProfiles.ListAsync(
new ListConnectionProfileRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.ListConnectionProfileRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connectionProfiles().list(
ListConnectionProfileRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ConnectionProfiles\Requests\ListConnectionProfileRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connectionProfiles->list(
new ListConnectionProfileRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connection_profiles.list(
from_="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connection_profiles.list(
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/connection-profiles \
--header 'Authorization: Bearer <token>'{
"next": "<string>",
"connection_profiles": [
{
"id": "<string>",
"name": "<string>",
"organization": {
"show_as_button": "none",
"assign_membership_on_login": "none"
},
"connection_name_prefix_template": "<string>",
"enabled_features": [
"scim"
],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"ad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"adfs": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"waad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"google-apps": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"okta": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"oidc": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"samlp": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
},
"cross_app_access_resource_app": {
"status": {
"default_value": "enabled",
"allowed_values": [
"enabled"
]
}
}
}
]
}Get Connection Profiles
Retrieve a list of Connection Profiles. This endpoint supports Checkpoint pagination.
GET
https://{tenantDomain}/api/v2
/
connection-profiles
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connectionProfiles.list({
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListConnectionProfileRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
mgmt.ConnectionProfiles.List(
context.TODO(),
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "connection-profiles" --query "from=from" --query "take=1"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ConnectionProfiles.ListAsync(
new ListConnectionProfileRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.ListConnectionProfileRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connectionProfiles().list(
ListConnectionProfileRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ConnectionProfiles\Requests\ListConnectionProfileRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connectionProfiles->list(
new ListConnectionProfileRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connection_profiles.list(
from_="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connection_profiles.list(
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/connection-profiles \
--header 'Authorization: Bearer <token>'{
"next": "<string>",
"connection_profiles": [
{
"id": "<string>",
"name": "<string>",
"organization": {
"show_as_button": "none",
"assign_membership_on_login": "none"
},
"connection_name_prefix_template": "<string>",
"enabled_features": [
"scim"
],
"connection_config": {},
"strategy_overrides": {
"pingfederate": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"ad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"adfs": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"waad": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"google-apps": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"okta": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"oidc": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
},
"samlp": {
"enabled_features": [
"scim"
],
"connection_config": {},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
}
}
},
"provisioning": {
"scim": {
"tokens": {
"scopes": [
"get:users"
],
"default_expiry": 901,
"max_allowed_expiry": 901
}
},
"google_workspace": {
"sync_users": true
}
},
"cross_app_access_resource_app": {
"status": {
"default_value": "enabled",
"allowed_values": [
"enabled"
]
}
}
}
]
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional Id from which to start selection.
Number of results per page. Defaults to 5.
Required range:
1 <= x <= 10